Skip to main content
GET
/
api
/
v1
/
stats
Get paginated statistics
curl --request GET \
  --url https://api.superwhisper.com/api/v1/stats \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superwhisper.com/api/v1/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superwhisper.com/api/v1/stats', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "time_bucket": "<string>",
      "recording_count": 123,
      "total_words": 123,
      "total_duration": 123,
      "avg_llm_processing_time": 123,
      "avg_voice_processing_time": 123,
      "avg_wpm": 123
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_rows": 123,
    "total_pages": 123,
    "count": 123
  },
  "meta": {
    "start_date": "<string>",
    "end_date": "<string>",
    "granularity": "<string>",
    "group_by": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API access token (starts with sk-sw-)

Query Parameters

start_date
string

ISO 8601 start date (defaults to 7 days ago)

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:?\d{2})?)?$
end_date
string

ISO 8601 end date (defaults to now)

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:?\d{2})?)?$
granularity
enum<string>

Time bucket granularity (defaults to day)

Available options:
hour,
day,
week,
month
group_by
enum<string>

Dimension to group results by

Available options:
member_email,
voice_model,
language_model,
app_name
page
integer

Page number (defaults to 1)

Required range: x >= 1
page_size
integer

Results per page, max 1000 (defaults to 200)

Required range: 1 <= x <= 1000
format
enum<string>

Response format (defaults to json)

Available options:
json,
csv
filter[member_email]
string

Comma-separated member email addresses

filter[voice_model]
string

Comma-separated voice models

filter[language_model]
string

Comma-separated language models

filter[app_name]
string

Comma-separated app names

Response

Paginated statistics (or CSV file when format=csv)

data
object[]
required
pagination
object
required
meta
object
required